> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/tracking/daily-recap/get-daily-mood-summary.md).

# Get Daily Mood Summary

Use the `dailyMoodSummary` query to get the stats of how many times a user selected a  daily Mood.

### Available Fields

<table data-header-hidden><thead><tr><th width="219.33333333333331" align="center">Field</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>startDate</code></td><td align="center">Date</td><td align="center">The date when the daily mood will start counting. Use the format: <code>YYYY-MM-DD</code></td></tr><tr><td align="center"><code>endDate</code></td><td align="center">Date</td><td align="center">The date when the daily mood will start counting. Use the format: <code>YYYY-MM-DD</code></td></tr></tbody></table>

### Available Fields

<table data-header-hidden><thead><tr><th width="219.33333333333331" align="center">Field</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>answersStats</code></td><td align="center">[AnswerCounter]</td><td align="center">Track the number of times user selects this mood.</td></tr><tr><td align="center"><code>answer</code></td><td align="center">String</td><td align="center">Answer text</td></tr><tr><td align="center"><code>id</code></td><td align="center">ID</td><td align="center">Answer ID</td></tr><tr><td align="center"><code>imageURL</code></td><td align="center">URL</td><td align="center">Mood answer image URL.</td></tr><tr><td align="center"><code>selected</code></td><td align="center">Boolean</td><td align="center"><code>true</code> if the answer has been selected. Otherwise, <code>false</code></td></tr><tr><td align="center"><code>type</code></td><td align="center">HabitAnswerType</td><td align="center">User habit's answer type. There are three possible values: <code>NEGATIVE</code>, <code>NEUTRAL</code>, <code>POSITIVE</code></td></tr></tbody></table>

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
query dailyMoodSummary {
  dailyMoodSummary(startDate: "2023-05-08", endDate:"2023-05-10") {
    answersStats {
      total 
      answer {
	id 
	answer 
	imageUrl 
	type
       }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "dailyMoodSummary": {
      "answersStats": [
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjJjNWUzMWIzLTMxMGYtNDdjYy1hYzVmLWNlNGQ4NTcxMjNmZQ==",
            "answer": "Anxious",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-anxious.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjYwMjdkMDg2LWJkZDgtNGJmYS05MWZkLWU4YWYzOWZmOWI1ZA==",
            "answer": "Content",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-content.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjJhZDUyOGYyLWY5ODctNGU4Zi1hM2NiLTg2ODNjMGQ2ZmFmOQ==",
            "answer": "Energized",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-energized.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjU5OWJiYjZiLWZiYTUtNGUzMi04OWY3LWY3NTA2N2NhZTc2NQ==",
            "answer": "Excited",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-exited.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjE4ZjY1OWQ3LTJmOWYtNGZiMi04NDAzLTc5NDc1YzJmZjcxOQ==",
            "answer": "Focused",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-focused.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOmI1MTBlZWRiLTY4MjgtNDdmZi04NDc3LTU2NmFhYjc1NTVjYg==",
            "answer": "Frustrated",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-frustrated.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjAwMmQxN2ViLTlkOWEtNDFmOS1hMzc3LTQ2ZWI4OTM2NjdlYQ==",
            "answer": "Grateful",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-grateful.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOmI5ZTBkMDc0LWY2MGMtNDg4ZS1hMDhmLTY2NzA0YmRjMmJlMA==",
            "answer": "Happy",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-happy.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOmUxYzJkZDdkLWI3NTgtNDhiOS05YTI5LTI3MTQ0ZjZkMjU1ZA==",
            "answer": "Hopeful",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-hopeful.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjc2NzFhMGFlLTM5NjgtNGJjMy1iODU3LWE0ZWY2MGRlZTY3OA==",
            "answer": "Inspired",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-inspired.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjI1NjMyNjk5LTliZmItNGUyYy1iNTg3LWU4NTY1OWYyZTcwNw==",
            "answer": "Sad",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-sad.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOmRjNjVkZjZmLWViOGMtNGNmZC1hZjBjLWZhZjE4NmJlYmE4MQ==",
            "answer": "Stressed",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood%20Icons/ic_base_emoji-stressed.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOmNiOWVhYzNkLTZmN2EtNDRhYS04YmI5LWJjNWU5ZmM2OTQ3Mg==",
            "answer": "Tired",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-tired.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOmFiNzBhMTQwLWFhZTMtNGExOS05MjNjLWFmNWNhMjk4NzY2ZA==",
            "answer": "Uncertain",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-uncertain.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOjk1NmExNmVlLWRlZDAtNGM3Yy04OWEzLWRhYTUwY2NhNDM3YQ==",
            "answer": "Unmotivated",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-unmotivated.png",
            "type": "NEUTRAL"
          }
        },
        {
          "total": 0,
          "answer": {
            "id": "QW5zd2VyOmJjNWJmZmM3LTcxYjEtNGFmMi05NzY0LTlmMDBiOGVmNWQ4Ng==",
            "answer": "Worried",
            "imageUrl": "https://storage.googleapis.com/sg-data/serena/Mood Icons/ic_base_emoji-worried.png",
            "type": "NEUTRAL"
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/tracking/daily-recap/get-daily-mood-summary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
